v4l2_subdevice.h File Reference

V4L2 Subdevice API. More...

`#include <string>`
`#include <vector>`
`#include <libcamera/geometry.h>`
`#include "libcamera/internal/formats.h"`
`#include "libcamera/internal/log.h"`
`#include "libcamera/internal/media_object.h"`
`#include "libcamera/internal/v4l2_device.h"`

Go to the source code of this file.

## Classes

struct | libcamera::V4L2SubdeviceFormat
| The V4L2 sub-device image format and sizes. More...
class | libcamera::V4L2Subdevice
| A V4L2 subdevice as exposed by the Linux kernel. More...

## Detailed Description

V4L2 Subdevice API.